#ifndef _RTE_TIME_H_
#define _RTE_TIME_H_

#include "RTC.h"
#include "TYW_stdint.h"

void RTE_RTC_KL30_Init(void);
void RTE_RTC_Wakeup_Init(void);
void RTE_RTC_Services_100Ms_Cbk(void);
void RTE_RTC_Set_Secone(uint8_t m_Second);
void RTE_RTC_Set_Hour(uint8_t m_Hour);
void RTE_RTC_Set_Minute(uint8_t m_Minute);
void RTE_RTC_Set_Date(uint8_t m_Date);
void RTE_RTC_Set_Month(uint8_t m_Month);
void RTE_RTC_Set_Year(uint16_t m_Year);
void RTE_RTC_Confirm_Overwrite(void);

uint16_t Get_RTC_YEAR(void);
uint8_t Get_RTC_MONTH(void);
uint8_t Get_RTC_DATE(void);
uint8_t Get_RTC_HOUR(void);
uint8_t Get_RTC_MINUTE(void);
uint8_t Get_RTC_SECOND(void);

uint8_t Calculate_Week(uint8_t month, uint8_t date, uint16_t year);
uint8_t Get_RTC_WEEK(void);

#endif
